cabal-version: 1.12

-- This file has been generated from package.yaml by hpack version 0.35.2.
--
-- see: https://github.com/sol/hpack

name:           OwOpointTracker
version:        0.0.0
build-type:     Simple
data-files:     config/models.persistentmodels
              , config/favicon.ico
              , config/settings.yml
              , config/test-settings.yml
              , config/robots.txt
              , config/routes.yesodroutes
              , static/css/bootstrap.css
              , static/fonts/glyphicons-halflings-regular.eot
              , static/fonts/glyphicons-halflings-regular.svg
              , static/fonts/glyphicons-halflings-regular.ttf
              , static/fonts/glyphicons-halflings-regular.woff
              , templates/*.hamlet
--              , templates/*.julius
              , templates/*.lucius

flag dev
  description: Turn on development settings, like auto-reload templates.
  manual: False
  default: False

flag library-only
  description: Build for use with "yesod devel"
  manual: False
  default: False

library
  exposed-modules:
      Application
      Foundation
      Handler.Common
      Handler.Home
      Handler.Station
      Handler.Ad
      Import
      Import.NoFoundation
      Model
      Settings
      Settings.StaticFiles
      Json
  other-modules:
      Paths_OwOpointTracker
  hs-source-dirs:
      src
  build-depends:
      aeson >=1.4 && <2.2
    , base >=4.9.1.0 && <5
    , bytestring >=0.10 && <0.12
    , case-insensitive
    , classy-prelude ==1.5.*
    , classy-prelude-conduit ==1.5.*
    , classy-prelude-yesod ==1.5.*
    , conduit >=1.0 && <2.0
    , containers
    , data-default
    , directory >=1.1 && <1.4
    , fast-logger >=2.2 && <3.3
    , file-embed
    , foreign-store
    , hjsmin >=0.1 && <0.3
    , http-client-tls ==0.3.*
    , http-conduit ==2.3.*
    , monad-control >=0.3 && <1.1
    , monad-logger ==0.3.*
    , persistent >=2.9 && <2.15
    , persistent-sqlite >=2.9 && <2.14
    , persistent-template >=2.5 && <2.14
    , random
    , safe
    , shakespeare >=2.0 && <2.2
    , template-haskell
    , text >=0.11 && <2.1
    , time
    , tomland
    , unordered-containers
    , vector
    , wai
    , wai-extra >=3.0 && <3.2
    , wai-logger >=2.2 && <2.5
    , warp >=3.0 && <3.4
    , yaml ==0.11.*
    , yesod ==1.6.*
    , yesod-auth ==1.6.*
    , yesod-core ==1.6.*
    , yesod-form >=1.6 && <1.8
    , yesod-static ==1.6.*
  default-language: Haskell2010
  if (flag(dev)) || (flag(library-only))
    ghc-options: -Wall -fwarn-tabs -O0
    cpp-options: -DDEVELOPMENT
  else
    ghc-options: -Wall -fwarn-tabs -O1

executable OwOpointTracker
  main-is: main.hs
  other-modules:
      DevelMain
      Paths_OwOpointTracker
  hs-source-dirs:
      app
  ghc-options: -threaded -rtsopts -with-rtsopts=-N
  build-depends:
      OwOpointTracker
    , aeson >=1.4 && <2.2
    , base >=4.9.1.0 && <5
    , bytestring >=0.10 && <0.12
    , case-insensitive
    , classy-prelude ==1.5.*
    , classy-prelude-conduit ==1.5.*
    , classy-prelude-yesod ==1.5.*
    , conduit >=1.0 && <2.0
    , containers
    , data-default
    , directory >=1.1 && <1.4
    , fast-logger >=2.2 && <3.3
    , file-embed
    , foreign-store
    , hjsmin >=0.1 && <0.3
    , http-client-tls ==0.3.*
    , http-conduit ==2.3.*
    , monad-control >=0.3 && <1.1
    , monad-logger ==0.3.*
    , persistent >=2.9 && <2.15
    , persistent-sqlite >=2.9 && <2.14
    , persistent-template >=2.5 && <2.14
    , safe
    , shakespeare >=2.0 && <2.2
    , template-haskell
    , text >=0.11 && <2.1
    , time
    , unordered-containers
    , vector
    , wai
    , wai-extra >=3.0 && <3.2
    , wai-logger >=2.2 && <2.5
    , warp >=3.0 && <3.4
    , yaml ==0.11.*
    , yesod ==1.6.*
    , yesod-auth ==1.6.*
    , yesod-core ==1.6.*
    , yesod-form >=1.6 && <1.8
    , yesod-static ==1.6.*
  default-language: Haskell2010
  if flag(library-only)
    buildable: False

test-suite OwOpointTracker-test
  type: exitcode-stdio-1.0
  main-is: Spec.hs
  other-modules:
      Handler.CommonSpec
      Handler.HomeSpec
      TestImport
      Paths_OwOpointTracker
  hs-source-dirs:
      test
  ghc-options: -Wall
  build-depends:
      OwOpointTracker
    , aeson >=1.4 && <2.2
    , base >=4.9.1.0 && <5
    , bytestring >=0.10 && <0.12
    , case-insensitive
    , classy-prelude ==1.5.*
    , classy-prelude-conduit ==1.5.*
    , classy-prelude-yesod ==1.5.*
    , conduit >=1.0 && <2.0
    , containers
    , data-default
    , directory >=1.1 && <1.4
    , fast-logger >=2.2 && <3.3
    , file-embed
    , foreign-store
    , hjsmin >=0.1 && <0.3
    , hspec >=2.0.0
    , http-client-tls ==0.3.*
    , http-conduit ==2.3.*
    , microlens
    , monad-control >=0.3 && <1.1
    , monad-logger ==0.3.*
    , persistent >=2.9 && <2.15
    , persistent-sqlite >=2.9 && <2.14
    , persistent-template >=2.5 && <2.14
    , safe
    , shakespeare >=2.0 && <2.2
    , template-haskell
    , text >=0.11 && <2.1
    , time
    , unordered-containers
    , vector
    , wai
    , wai-extra >=3.0 && <3.2
    , wai-logger >=2.2 && <2.5
    , warp >=3.0 && <3.4
    , yaml ==0.11.*
    , yesod ==1.6.*
    , yesod-auth ==1.6.*
    , yesod-core ==1.6.*
    , yesod-form >=1.6 && <1.8
    , yesod-static ==1.6.*
    , yesod-test
  default-language: Haskell2010
